cURL
curl --request GET \
--url https://api.embeddables.com/projects/{projectId}/entries/{entryId} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.embeddables.com/projects/{projectId}/entries/{entryId}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.embeddables.com/projects/{projectId}/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry_id": "entry_myexampleentry",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"ada@lovelace.com\" }"
}{
"error": {
"code": "unauthorized",
"message": "You are not authorized to access this project with the API key provided."
},
"projectId": "pr_myexampleproject"
}{
"error": {
"code": "entry_not_found",
"message": "The entry with the specified ID does not exist or you don't have permission to access it."
},
"entryId": "entry_doesnotexist"
}Entries
Get Entry
Retrieve an entry from the database based on the ID
GET
/
projects
/
{projectId}
/
entries
/
{entryId}
cURL
Headers
Path Parameters
The unique identifier for a Project in the database
The unique identifier for an Entry in the database
Response
The unique identifier for an Entry in the database
The unique identifier for a Group in the database
The unique identifier for a Project in the database
The unique identifier for a Embeddable in the database
The unique identifier for a Contact in the database
A Date + Time string in ISO format
A Date + Time string in ISO format
The entry's user data, stringified
Was this page helpful?
⌘I

